ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ZenLib::ZtringListListF Class Reference

ZtringListList with file management. More...

`#include <ZtringListListF.h>`

Inheritance diagram for ZenLib::ZtringListListF:

## Public Member Functions
| ZtringListListF ()
| ZtringListListF (const ZtringListList &Source)
| ZtringListListF (const Ztring &Source)
| ZtringListListF (const Char *Source)
bool | Load (const Ztring &FileName=Ztring())
bool | Save (const Ztring &FileName=Ztring())
bool | Cancel ()
void | Backup_Set (bool Save)
void | Backup_Count_Set (int8u Count)
void | Local_Set (bool Local)
Public Member Functions inherited from ZenLib::ZtringListList
| ZtringListList ()
| ZtringListList (const ZtringListList &Source)
| ZtringListList (const Ztring &Source)
| ZtringListList (const Char *Source)
bool | operator== (const ZtringListList &Source) const
bool | operator!= (const ZtringListList &Source) const
ZtringListList & | operator+= (const ZtringListList &Source)
ZtringListList & | operator= (const ZtringListList &Source)
ZtringList & | operator() (size_type Pos0)
| Same as [], but write a empty string if Pos doesn't exist yet. More...
Ztring & | operator() (size_type Pos0, size_type Pos1)
Ztring & | operator() (const Ztring &Pos0, size_type Pos1=1)
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0]. More...
Ztring & | operator() (const Ztring &Pos0, size_type Pos0_1, size_type Pos1)
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1]. More...
Ztring | Read () const
| Read all. More...
Ztring | Read (size_type Pos0) const
| Read a vector of string. More...
const Ztring & | Read (size_type Pos0, size_type Pos1) const
| Read a string. More...
const Ztring & | Read (const Ztring &Pos0, size_type Pos1=1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0]. More...
const Ztring & | Read (const Ztring &Pos0, size_type Pos0_1, size_type Pos1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1]. More...
const Ztring & | Read (const Ztring &Pos0, const Ztring &Default, size_type Pos1=1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0], with default value. More...
const Ztring & | Read (const Ztring &Pos0, const Ztring &Default, size_type Pos0_1, size_type Pos1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1], with default value. More...
Ztring | Read1 (size_type Pos1) const
| Read all strings at position Pos1. More...
void | Write (const Ztring &ToWrite)
| Write all. More...
void | Write (const ZtringList &ToWrite, size_type Pos0)
| Write a vector of string. More...
void | Write (const Ztring &ToWrite, size_type Pos0, size_type Pos1)
| Write a vector of string. More...
void | push_back (const ZtringList &ToAdd)
| Add a vector of string. More...
void | push_back (const Ztring &ToAdd)
| Add a vector of string (with separator is ZtringListList Separator) More...
void | push_back (const Char *ToAdd)
| Add a vector of string (Char version) More...
void | Insert (const ZtringList &ToInsert, size_type Pos0)
| Insert a vector of string at position Pos0. More...
void | Insert1 (const Ztring &ToInsert, size_type Pos1)
| Insert a string at all positions Pos1. More...
void | Delete (size_type Pos0)
| Delete a vector of string at position Pos0. More...
void | Delete (const Ztring &ToFind, size_type Pos1=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing)
| Delete all vectors of string, with [xxx][Pos1] == ToFind. More...
void | Delete1 (size_type Pos1)
| Delete a string at all positions Pos1. More...
void | Swap (size_type Pos0_A, size_type Pos0_B)
| Swap 2 positions. More...
void | Swap1 (size_type Pos1_A, size_type Pos1_B)
| Swap 2 columns for each line. More...
void | Sort (size_type Pos1, ztring_t Options=Ztring_Nothing)
| Sort. More...
size_type | Find (const Ztring &ToFind, size_type Pos1=0, size_type Pos0Begin=0) const
| Find the first position of the string in the vector of vector, in a specific column. More...
size_type | Find_Filled (size_type Pos1=0, size_type Pos0Begin=0) const
| Find the first position of the string in the vector of vector, in a specific column, which is not empty. More...
size_type | Find (const Ztring &ToFind, size_type Pos1, size_type Pos0Begin, const Ztring &Comparator, ztring_t Options=Ztring_Nothing) const
| Find the first position of the string in the vector of vector, in a specific column. More...
Ztring | FindValue (const Ztring &ToFind, size_type Pos1Value=1, size_type Pos1=0, size_type Pos0Begin=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing) const
| Return [xxx][Pos1Value] when founded the first position of the string in the vector of vector, in a specific column. More...
ZtringListList | SubSheet (const Ztring &ToFind, size_type Pos1=0, size_type Pos0Begin=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing) const
| Return a subsheet, with all lines with position of the string in the vector of vector, in a specific column. More...
void | Separator_Set (size_type Level, const Ztring &NewSeparator)
| Set the Separator character. More...
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it. More...
void | Max_Set (size_type Level, size_type Max)
| Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element. More...

## Protected Member Functions
bool | CSV_Charger ()
bool | CFG_Charger ()
bool | CSV_Sauvegarder ()
bool | CFG_Sauvegarder ()
bool | File_Load ()
bool | NettoyerEspaces (Ztring &ANettoyer)

## Protected Attributes
Ztring | Name
bool | Sauvegarde
int8u | Backup_Nb_Max
int8u | Backup_Nb
bool | Local
Protected Attributes inherited from ZenLib::ZtringListList
Ztring | Separator [2]
Ztring | Quote
size_type | Max [2]

## Detailed Description

ZtringListList with file management.

## Constructor & Destructor Documentation

ZenLib::ZtringListListF::ZtringListListF | ( |  | ) |

ZenLib::ZtringListListF::ZtringListListF | ( | const ZtringListList & | Source | ) |

ZenLib::ZtringListListF::ZtringListListF | ( | const Ztring & | Source | ) |

ZenLib::ZtringListListF::ZtringListListF | ( | const Char * | Source | ) |

## Member Function Documentation

void ZenLib::ZtringListListF::Backup_Count_Set | ( | int8u | Count | ) |

void ZenLib::ZtringListListF::Backup_Set | ( | bool | Save | ) |

bool ZenLib::ZtringListListF::Cancel | ( |  | ) |

bool ZenLib::ZtringListListF::CFG_Charger | ( |  | ) |
| protected

bool ZenLib::ZtringListListF::CFG_Sauvegarder | ( |  | ) |
| protected

bool ZenLib::ZtringListListF::CSV_Charger | ( |  | ) |
| protected

bool ZenLib::ZtringListListF::CSV_Sauvegarder | ( |  | ) |
| protected

bool ZenLib::ZtringListListF::File_Load | ( |  | ) |
| protected

bool ZenLib::ZtringListListF::Load | ( | const Ztring & | FileName = `Ztring()` | ) |

void ZenLib::ZtringListListF::Local_Set | ( | bool | Local | ) |

bool ZenLib::ZtringListListF::NettoyerEspaces | ( | Ztring & | ANettoyer | ) |
| protected

bool ZenLib::ZtringListListF::Save | ( | const Ztring & | FileName = `Ztring()` | ) |

## Member Data Documentation

int8u ZenLib::ZtringListListF::Backup_Nb
| protected

int8u ZenLib::ZtringListListF::Backup_Nb_Max
| protected

bool ZenLib::ZtringListListF::Local
| protected

Ztring ZenLib::ZtringListListF::Name
| protected

bool ZenLib::ZtringListListF::Sauvegarde
| protected

The documentation for this class was generated from the following file:

- ZtringListListF.h